# Uses of Class
org.apache.avro.idl.IdlParser.ProtocolDeclarationContext

## Uses of IdlParser.ProtocolDeclarationContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.ProtocolDeclarationContext
Modifier and Type
Field
Description
`IdlParser.ProtocolDeclarationContext`
IdlParser.IdlFileContext.`protocol`
Methods in org.apache.avro.idl that return IdlParser.ProtocolDeclarationContext
Modifier and Type
Method
Description
`IdlParser.ProtocolDeclarationContext`
IdlParser.IdlFileContext.`protocolDeclaration()`
`final IdlParser.ProtocolDeclarationContext`
IdlParser.`protocolDeclaration()`
Methods in org.apache.avro.idl with parameters of type IdlParser.ProtocolDeclarationContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
IdlListener.`enterProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Enter a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
IdlBaseListener.`exitProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclaration()`.
`void`
IdlListener.`exitProtocolDeclaration(IdlParser.ProtocolDeclarationContext ctx)`
Exit a parse tree produced by `IdlParser.protocolDeclaration()`.